> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List available DigitalOcean regions



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/digitalocean/regions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/digitalocean/regions:
    get:
      tags:
        - DigitalOcean Cluster API
      summary: List available DigitalOcean regions
      operationId: >-
        list_digitalocean_regions_endpoint_api_v1_clusters_digitalocean_regions_get
      parameters:
        - description: DigitalOcean credential ID to use for API access
          in: query
          name: credential_id
          required: true
          schema:
            description: DigitalOcean credential ID to use for API access
            format: uuid
            title: Credential Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/DigitaloceanRegionResponse'
                title: >-
                  Response List Digitalocean Regions Endpoint Api V1 Clusters
                  Digitalocean Regions Get
                type: array
          description: Regions retrieved from DigitalOcean API
        '400':
          description: Availability check failed
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    DigitaloceanRegionResponse:
      properties:
        available:
          title: Available
          type: boolean
        name:
          title: Name
          type: string
        sizes:
          items:
            type: string
          title: Sizes
          type: array
        slug:
          title: Slug
          type: string
      required:
        - slug
        - name
        - available
        - sizes
      title: DigitaloceanRegionResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````